Loading...
Searching...
No Matches
space_mult_list_rep< T, M >

## Detailed Description

template<class T, class M>
struct rheolef::space_mult_list_rep< T, M >

Definition at line 29 of file space_mult.h.

## Public Types

typedef space_basic< T, M > | value_type
typedef std::list< space_basic< T, M > >::size_type | size_type
typedef std::list< space_basic< T, M > >::const_iterator | const_iterator

## Public Member Functions

| space_mult_list_rep ()
size_type | size () const
const_iterator | begin () const
const_iterator | end () const
void | push_back (const value_type &X) const
void | push_front (const value_type &X) const

## Public Attributes

std::list< space_basic< T, M > > | _l

## Member Typedef Documentation

## value_type

template<class T , class M >

typedef space_basic<T,M> value_type

Definition at line 30 of file space_mult.h.

## size_type

template<class T , class M >

typedef std::list<space_basic<T,M>>::size_type size_type

Definition at line 31 of file space_mult.h.

## const_iterator

template<class T , class M >

typedef std::list<space_basic<T,M>>::const_iterator const_iterator

Definition at line 32 of file space_mult.h.

## Constructor & Destructor Documentation

## space_mult_list_rep()

template<class T , class M >

space_mult_list_rep | ( |  | ) |

Definition at line 36 of file space_mult.h.

## Member Function Documentation

## size()

template<class T , class M >

size_type size | ( |  | ) | const

Definition at line 40 of file space_mult.h.

## begin()

template<class T , class M >

const_iterator begin | ( |  | ) | const

Definition at line 41 of file space_mult.h.

## end()

template<class T , class M >

const_iterator end | ( |  | ) | const

Definition at line 42 of file space_mult.h.

## push_back()

template<class T , class M >

void push_back | ( | const value_type & | X | ) | const

Definition at line 46 of file space_mult.h.

## push_front()

template<class T , class M >

void push_front | ( | const value_type & | X | ) | const

Definition at line 47 of file space_mult.h.

## Member Data Documentation

## _l

template<class T , class M >

std::list<space_basic<T,M> > _l

mutable

Definition at line 51 of file space_mult.h.

The documentation for this struct was generated from the following file:

- /build/rheolef-Hrneba/rheolef-7.2/main/lib/space_mult.h